Subject: problem with credit card
From: "Mike" <[email-masked]>
To: "David Lynch" <[email-masked]>
Date: Thu, 9 Jul 2009 16:02:40 -0400

David,
I know you are not handling problems for us but I could not find the contact person's info you sent me a while back.  We were having problems with a few cards in the past day or so and I was wondering if someone could look into it.  I have one from this morning that went through with NPC but not with PayPal.  The transaction was attempted around 9 am (est) for $125.50 and was a MasterCard ending in 6676.  If you could forward this and maybe have the new person contact us since we not yet been contacted.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]